package net.rzdata.exception;

/**
 * 第三方服务异常
 */
public non-sealed class ThirdPartyException extends BaseException {

    public static final String THIRD_PARTY_ERROR_CODE = "C0001";

    public ThirdPartyException(String message) {
        super(THIRD_PARTY_ERROR_CODE, message);
    }

    public ThirdPartyException(String message, Throwable cause) {
        super(THIRD_PARTY_ERROR_CODE, message, cause);
    }

    protected ThirdPartyException(String code, String message) {
        super(code, message);
    }

    protected ThirdPartyException(String code, String message, Throwable cause) {
        super(code, message, cause);
    }
}
