package net.rzdata.exception;

/**
 * 操作不存在的数据异常
 */
public class NotExistDataException extends ClientException {

    public static final String ERROR_CODE = "A0429";
    public static final String ERROR_MESSAGE = "数据不存在";

    public NotExistDataException() {
        super(ERROR_CODE, ERROR_MESSAGE);
    }

    public NotExistDataException(String message) {
        super(ERROR_CODE, message);
    }
}
