package net.rzdata.exception;

/**
 * 数据重复异常
 */
public class RepeatDataException extends ClientException {

    public static final String ERROR_CODE = "A0428";
    public static final String ERROR_MESSAGE = "数据已存在";

    public RepeatDataException() {
        super(ERROR_CODE, ERROR_MESSAGE);
    }

    public RepeatDataException(String message) {
        super(ERROR_CODE, message);
    }
}
